DROP DATABASE IF EXISTS E1FI2;

CREATE DATABASE IF NOT EXISTS E1FI2;

USE E1FI2;

CREATE TABLE Kunde(
    K_Anrede ENUM("Herr", "Frau", "Divers"),
    K_Geburt DATE,
    K_Name CHAR(20)
);

CREATE TABLE Vertrag(
    H_Art ENUM("Ankauf", "Verkauf"),
    H_Preis DECIMAL(8,2),
    H_DATUM DATE DEFAULT current_date
);

CREATE TABLE Auto(
    A_Typ CHAR(20),
    A_Erstzulassung DATE,
    A_Kategorie ENUM("Cabrio", "Jeep", "Kombi"),
    A_Extras SET("Glasdach", "CD-Player", "Airbar"),
    A_FG_Nummer INTEGER UNIQUE
);